## r-cran-shiny 1.0.5+dfsg

=== DESCRIPTION ===
Package: shiny
Type: Package
Title: Web Application Framework for R
Version: 1.0.5
Authors@R: c(
    person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com"),
    person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
    person("JJ", "Allaire", role = "aut", email = "jj@rstudio.com"),
    person("Yihui", "Xie", role = "aut", email = "yihui@rstudio.com"),
    person("Jonathan", "McPherson", role = "aut", email = "jonathan@rstudio.com"),
    person(family = "RStudio", role = "cph"),
    person(family = "jQuery Foundation", role = "cph",
    comment = "jQuery library and jQuery UI library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"),
    comment = "jQuery library; authors listed in inst/www/shared/jquery-AUTHORS.txt"),
    person(family = "jQuery UI contributors", role = c("ctb", "cph"),
    comment = "jQuery UI library; authors listed in inst/www/shared/jqueryui/AUTHORS.txt"),
    person("Mark", "Otto", role = "ctb",
    comment = "Bootstrap library"),
    person("Jacob", "Thornton", role = "ctb",
    comment = "Bootstrap library"),
    person(family = "Bootstrap contributors", role = "ctb",
    comment = "Bootstrap library"),
    person(family = "Twitter, Inc", role = "cph",
    comment = "Bootstrap library"),
    person("Alexander", "Farkas", role = c("ctb", "cph"),
    comment = "html5shiv library"),
    person("Scott", "Jehl", role = c("ctb", "cph"),
    comment = "Respond.js library"),
    person("Stefan", "Petre", role = c("ctb", "cph"),
    comment = "Bootstrap-datepicker library"),
    person("Andrew", "Rowls", role = c("ctb", "cph"),
    comment = "Bootstrap-datepicker library"),
    person("Dave", "Gandy", role = c("ctb", "cph"),
    comment = "Font-Awesome font"),
    person("Brian", "Reavis", role = c("ctb", "cph"),
    comment = "selectize.js library"),
    person("Kristopher Michael", "Kowal", role = c("ctb", "cph"),
    comment = "es5-shim library"),
    person(family = "es5-shim contributors", role = c("ctb", "cph"),
    comment = "es5-shim library"),
    person("Denis", "Ineshin", role = c("ctb", "cph"),
    comment = "ion.rangeSlider library"),
    person("Sami", "Samhuri", role = c("ctb", "cph"),
    comment = "Javascript strftime library"),
    person(family = "SpryMedia Limited", role = c("ctb", "cph"),
    comment = "DataTables library"),
    person("John", "Fraser", role = c("ctb", "cph"),
    comment = "showdown.js library"),
    person("John", "Gruber", role = c("ctb", "cph"),
    comment = "showdown.js library"),
    person("Ivan", "Sagalaev", role = c("ctb", "cph"),
    comment = "highlight.js library"),
    person(family = "R Core Team", role = c("ctb", "cph"),
    comment = "tar implementation from R")
    )
Description: Makes it incredibly easy to build interactive web
    applications with R. Automatic "reactive" binding between inputs and
    outputs and extensive prebuilt widgets make it possible to build
    beautiful, responsive, and powerful applications with minimal effort.
License: GPL-3 | file LICENSE
Depends: R (>= 3.0.2), methods
Imports: utils, httpuv (>= 1.3.5), mime (>= 0.3), jsonlite (>= 0.9.16),
        xtable, digest, htmltools (>= 0.3.5), R6 (>= 2.0), sourcetools,
        tools
Suggests: datasets, Cairo (>= 1.5-5), testthat, knitr (>= 1.6),
        markdown, rmarkdown, ggplot2, magrittr
URL: http://shiny.rstudio.com
BugReports: https://github.com/rstudio/shiny/issues
Collate: 'app.R' 'bookmark-state-local.R' 'stack.R' 'bookmark-state.R'
        'bootstrap-layout.R' 'conditions.R' 'map.R' 'globals.R'
        'utils.R' 'bootstrap.R' 'cache.R' 'diagnose.R' 'fileupload.R'
        'graph.R' 'reactives.R' 'reactive-domains.R' 'history.R'
        'hooks.R' 'html-deps.R' 'htmltools.R' 'image-interact-opts.R'
        'image-interact.R' 'imageutils.R' 'input-action.R'
        'input-checkbox.R' 'input-checkboxgroup.R' 'input-date.R'
        'input-daterange.R' 'input-file.R' 'input-numeric.R'
        'input-password.R' 'input-radiobuttons.R' 'input-select.R'
        'input-slider.R' 'input-submit.R' 'input-text.R'
        'input-textarea.R' 'input-utils.R' 'insert-tab.R' 'insert-ui.R'
        'jqueryui.R' 'middleware-shiny.R' 'middleware.R' 'modal.R'
        'modules.R' 'notifications.R' 'priorityqueue.R' 'progress.R'
        'react.R' 'render-plot.R' 'render-table.R' 'run-url.R'
        'serializers.R' 'server-input-handlers.R' 'server.R'
        'shiny-options.R' 'shiny.R' 'shinyui.R' 'shinywrappers.R'
        'showcase.R' 'snapshot.R' 'tar.R' 'test-export.R' 'timer.R'
        'update-input.R'
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-08-23 18:15:30 UTC; winston
Author: Winston Chang [aut, cre],
  Joe Cheng [aut],
  JJ Allaire [aut],
  Yihui Xie [aut],
  Jonathan McPherson [aut],
  RStudio [cph],
  jQuery Foundation [cph] (jQuery library and jQuery UI library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/www/shared/jquery-AUTHORS.txt),
  jQuery UI contributors [ctb, cph] (jQuery UI library; authors listed in
    inst/www/shared/jqueryui/AUTHORS.txt),
  Mark Otto [ctb] (Bootstrap library),
  Jacob Thornton [ctb] (Bootstrap library),
  Bootstrap contributors [ctb] (Bootstrap library),
  Twitter, Inc [cph] (Bootstrap library),
  Alexander Farkas [ctb, cph] (html5shiv library),
  Scott Jehl [ctb, cph] (Respond.js library),
  Stefan Petre [ctb, cph] (Bootstrap-datepicker library),
  Andrew Rowls [ctb, cph] (Bootstrap-datepicker library),
  Dave Gandy [ctb, cph] (Font-Awesome font),
  Brian Reavis [ctb, cph] (selectize.js library),
  Kristopher Michael Kowal [ctb, cph] (es5-shim library),
  es5-shim contributors [ctb, cph] (es5-shim library),
  Denis Ineshin [ctb, cph] (ion.rangeSlider library),
  Sami Samhuri [ctb, cph] (Javascript strftime library),
  SpryMedia Limited [ctb, cph] (DataTables library),
  John Fraser [ctb, cph] (showdown.js library),
  John Gruber [ctb, cph] (showdown.js library),
  Ivan Sagalaev [ctb, cph] (highlight.js library),
  R Core Team [ctb, cph] (tar implementation from R)
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2017-08-23 20:20:10 UTC

=== inst/examples/08_html/DESCRIPTION ===
Title: Custom HTML UI
Author: RStudio, Inc.
AuthorUrl: http://www.rstudio.com/
License: MIT
DisplayMode: Showcase
Tags: getting-started
Type: Shiny

## r-cran-shiny 0.12.2

=== debian/changelog ===
r-cran-shiny (0.12.2-1~jessie1) unstable; urgency=low

  * UNRELEASED
  * Initial release. (Closes: #FIXME)

 -- Joost van Baal-Ilić <joostvb+shiny@uvt.nl>  Mon, 09 Nov 2015 12:56:25 +0100

=== debian/control ===
Source: r-cran-shiny
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb+shiny@uvt.nl>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/shiny/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-shiny.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-shiny.git

Package: r-cran-shiny
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}
Description: GNU R package providing web application framework for R
 This R package provides a Web Application Framework for R, making it
 easy to build interactive web applications with R.  Automatic "reactive"
 binding between inputs and outputs and extensive pre-built widgets make
 it possible to build beautiful, responsive, and powerful applications
 with minimal effort.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/shiny_([-\d\.]*)\.tar.gz

## r-cran-shiny 0.13.2+dfsg

=== debian/changelog ===
r-cran-shiny (0.13.2+dfsg-2) unstable; urgency=medium

  * Add missing Depends: r-cran-ggplot2

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 00:19:22 +0200

r-cran-shiny (0.13.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add missing Depends: r-cran-rcpp

 -- Andreas Tille <tille@debian.org>  Thu, 21 Apr 2016 16:37:48 +0200

r-cran-shiny (0.13.1+dfsg1-1) unstable; urgency=medium

  * We need to keep some files from upstream source
  * Use dh_link instead of dh_linktrees
    Closes: #820879
  * lintian override for false positives

 -- Andreas Tille <tille@debian.org>  Fri, 15 Apr 2016 23:13:35 +0200

r-cran-shiny (0.13.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #819363)

 -- Andreas Tille <tille@debian.org>  Sun, 27 Mar 2016 17:30:56 +0200

=== debian/control ===
Source: r-cran-shiny
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               libjs-bootstrap,
               libjs-twitter-bootstrap,
               libjs-json,
               libjs-jquery-datatables,
               libjs-es5-shim,
               libjs-jquery,
               libjs-jquery-ui,
               libjs-highlight.js,
               libjs-twitter-bootstrap-datepicker,
               fonts-font-awesome,
               yui-compressor,
               r-base-dev,
               r-cran-rcpp,
               r-cran-httpuv,
               r-cran-mime,
               r-cran-jsonlite,
               r-cran-xtable,
               r-cran-digest,
               r-cran-r6,
               r-cran-htmltools
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-shiny.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-shiny.git
Homepage: https://cran.r-project.org/web/packages/shiny/

Package: r-cran-shiny
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends},
         ${js:Depends},
         libjs-bootstrap,
         libjs-twitter-bootstrap,
         libjs-json,
         libjs-jquery-datatables,
         libjs-es5-shim,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-highlight.js,
         libjs-twitter-bootstrap-datepicker,
         fonts-font-awesome,
         r-cran-rcpp,
         r-cran-httpuv,
         r-cran-mime,
         r-cran-jsonlite,
         r-cran-xtable,
         r-cran-digest,
         r-cran-r6,
         r-cran-htmltools,
         r-cran-ggplot2
Description: GNU R web application framework
 Makes it incredibly easy to build interactive web applications with R.
 Automatic "reactive" binding between inputs and outputs and extensive
 pre-built widgets make it possible to build beautiful, responsive, and
 powerful applications with minimal effort.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	# dh_link
	sed -i -e 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
		$(debRlib)/$(cranName)/www/reactive-graph.html
	rm -rf $(debRlib)/$(cranName)/LICENSE
	rm -rf $(debRlib)/$(cranName)/www/shared/showdown/license.txt
	mkdir -p $(debRlib)/$(cranName)/www/shared/bootstrap/shim
	yui-compressor debian/missing-sources/respond.src.js > $(debRlib)/$(cranName)/www/shared/bootstrap/shim/respond.min.js
	mkdir -p $(debRlib)/$(cranName)/www/shared/selectize/js
	yui-compressor debian/missing-sources/selectize.js > $(debRlib)/$(cranName)/www/shared/selectize/js/selectize.min.js
	mkdir -p $(debRlib)/$(cranName)/www/shared/strftime
	yui-compressor debian/missing-sources/strftime.js > $(debRlib)/$(cranName)/www/shared/strftime/strftime-min.js

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
   http://cran.r-project.org/src/contrib/shiny_([-0-9\.]*).tar.gz

## r-cran-shiny 1.0.0+dfsg

=== debian/changelog ===
r-cran-shiny (1.0.0+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jun 2017 11:25:37 +0200

r-cran-shiny (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 09:43:24 +0100

r-cran-shiny (0.14.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * Package libjs-twitter-bootstrap-datepicker does not provide minimized
    version any more - simply link to the unminimized one to make sure
    there will be a file found under this name
    Closes: #838006
  * New Build-Depends: r-cran-sourcetools
  * New JS without source: babel-polyfill.min.js: Create script to fetch source
    and exclude non-source from upstream tarball

 -- Andreas Tille <tille@debian.org>  Sat, 12 Nov 2016 08:21:49 +0100

r-cran-shiny (0.13.1+dfsg1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Depends: r-cran-rcpp

 -- Andreas Tille <tille@debian.org>  Thu, 21 Apr 2016 21:14:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                libjs-bootstrap,
                libjs-twitter-bootstrap,
                libjs-json,
@@ -24,11 +24,12 @@
                r-cran-xtable,
                r-cran-digest,
                r-cran-r6,
-               r-cran-htmltools
-Standards-Version: 3.9.7
+               r-cran-htmltools,
+               r-cran-sourcetools
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-shiny.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-shiny.git
-Homepage: https://cran.r-project.org/web/packages/shiny/
+Homepage: https://cran.r-project.org/package=shiny
 
 Package: r-cran-shiny
 Architecture: all
@@ -44,16 +45,9 @@
          libjs-jquery-ui,
          libjs-highlight.js,
          libjs-twitter-bootstrap-datepicker,
-         fonts-font-awesome,
-         r-cran-rcpp,
-         r-cran-httpuv,
-         r-cran-mime,
-         r-cran-jsonlite,
-         r-cran-xtable,
-         r-cran-digest,
-         r-cran-r6,
-         r-cran-htmltools,
-         r-cran-ggplot2
+         fonts-font-awesome
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R web application framework
  Makes it incredibly easy to build interactive web applications with R.
  Automatic "reactive" binding between inputs and outputs and extensive

=== debian/rules ===
#!/usr/bin/make -f

debRreposname   := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}' | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	sed -i -e 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
		$(debRlib)/$(cranName)/www/reactive-graph.html
	find debian -name "LICENSE*" -delete
	rm -rf $(debRlib)/$(cranName)/www/shared/showdown/license.txt
	mkdir -p $(debRlib)/$(cranName)/www/shared/bootstrap/shim
	yui-compressor debian/missing-sources/respond.src.js > $(debRlib)/$(cranName)/www/shared/bootstrap/shim/respond.min.js
	mkdir -p $(debRlib)/$(cranName)/www/shared/selectize/js
	yui-compressor debian/missing-sources/selectize.js > $(debRlib)/$(cranName)/www/shared/selectize/js/selectize.min.js
	mkdir -p $(debRlib)/$(cranName)/www/shared/strftime
	yui-compressor debian/missing-sources/strftime.js > $(debRlib)/$(cranName)/www/shared/strftime/strftime-min.js
	# this fails: yui-compressor debian/missing-sources/babel-polyfill.js > $(debRlib)/$(cranName)/www/shared/babel-polyfill.min.js
	# see https://lists.debian.org/debian-mentors/2016/11/msg00102.html
	cp -a debian/missing-sources/babel-polyfill.min.js $(debRlib)/$(cranName)/www/shared/babel-polyfill.min.js

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
   http://cran.r-project.org/src/contrib/shiny_([-0-9\.]*).tar.gz

## r-cran-shiny 1.0.5+dfsg

=== debian/changelog ===
r-cran-shiny (1.0.5+dfsg-4) unstable; urgency=medium

  * Shiny does not show correct menu if fontawesome-webfont is a symlink -
    replace it by file copy instead.
  * Avoid privacy breaching remote JS code in documentation

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2018 13:36:51 +0100

r-cran-shiny (1.0.5+dfsg-3) unstable; urgency=medium

  * Prepare minimized JS in script after downloading uncompressed source
    instead of doing the compression at package build time
  * Standards-Version: 4.1.3
  * debhelper 11
  * Try hard to find a proper selectize.min.js that works without issues.
    Finally fall back to the one shipped with r-cran-shiny.
  * For some very strange reason a symlink leads to unexpected results in
    shiny apps. Thus a real copy of font-awesome.min.css from
    fonts-font-awesome package is created
  * Secure URI in watch file
  * Fix issues with datepicker
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2018 11:06:03 +0100

r-cran-shiny (1.0.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for r-api-3.4 transition.
  * Bump to Standards-Version 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Sep 2017 23:15:28 +0200

r-cran-shiny (1.0.5+dfsg-1) unstable; urgency=medium

  [ Don Armstrong ]
  * Hack for symlinks to twitter-bootstrap and javascript
    Closes: #867963

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Sep 2017 13:20:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                libjs-bootstrap,
                libjs-twitter-bootstrap,
@@ -15,18 +15,19 @@
                libjs-highlight.js,
                libjs-twitter-bootstrap-datepicker,
                fonts-font-awesome,
-               yui-compressor,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-httpuv,
+               r-cran-httpuv (>= 1.3.5),
                r-cran-mime,
                r-cran-jsonlite,
                r-cran-xtable,
                r-cran-digest,
                r-cran-r6,
                r-cran-htmltools,
-               r-cran-sourcetools
-Standards-Version: 3.9.8
+               r-cran-sourcetools,
+               closure-compiler,
+               yui-compressor
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-shiny.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-shiny.git
 Homepage: https://cran.r-project.org/package=shiny
@@ -45,6 +46,8 @@
          libjs-jquery-ui,
          libjs-highlight.js,
          libjs-twitter-bootstrap-datepicker,
+         libjs-jquery-selectize.js,
+         libjs-d3,
          fonts-font-awesome
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/rules ===
#!/usr/bin/make -f

# These definitions can be removed once #842092 is fixed
include /usr/share/dpkg/default.mk
debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	sed -i -e 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
		$(debRlib)/$(cranName)/www/reactive-graph.html
	find debian -name "LICENSE*" -delete
	rm -rf $(debRlib)/$(cranName)/www/shared/showdown/license.txt
	mkdir -p $(debRlib)/$(cranName)/www/shared/bootstrap/shim
	cp -a debian/missing-sources/respond/respond.min.js $(debRlib)/$(cranName)/www/shared/bootstrap/shim/
	mkdir -p $(debRlib)/$(cranName)/www/shared/strftime
	cp -a debian/missing-sources/strftime/strftime.min.js $(debRlib)/$(cranName)/www/shared/strftime
	# this fails: yui-compressor debian/missing-sources/babel-polyfill/babel-polyfill.js > $(debRlib)/$(cranName)/www/shared/babel-polyfill.min.js
	# see https://lists.debian.org/debian-mentors/2016/11/msg00102.html
	cp -a debian/missing-sources/babel-polyfill/babel-polyfill.min.js $(debRlib)/$(cranName)/www/shared/babel-polyfill.min.js
	# see debian/README.source
	mkdir -p $(debRlib)/$(cranName)/www/shared/selectize/js/
	cp -a debian/missing-sources/selectize-0.12.1/selectize.min.shiny.js $(debRlib)/$(cranName)/www/shared/selectize/js/selectize.min.js
	# For some very strange reason a symlink leads to unexpected results in shiny apps.
	# Thus a real copy of font-awesome.min.css from fonts-font-awesome package is created.
	mkdir -p $(debRlib)/$(cranName)/www/shared/font-awesome/css/
	cp -a /usr/share/fonts-font-awesome/css/font-awesome.min.css $(debRlib)/$(cranName)/www/shared/font-awesome/css/
	# same issue for fontawesome-webfont.woff
	mkdir -p $(debRlib)/$(cranName)/www/shared/font-awesome/fonts/
	cp -a /usr/share/fonts/woff/font-awesome/fontawesome-webfont.woff $(debRlib)/$(cranName)/www/shared/font-awesome/fonts/
	# datepicker is only non-minimized.  Do the minimisation here
	mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/js
	closure-compiler  --charset 'utf-8' --js /usr/share/twitter-bootstrap/files/js/bootstrap-datepicker.js --js_output_file $(debRlib)/$(cranName)/www/shared/datepicker/js/bootstrap-datepicker.min.js
	mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/css
	yui-compressor /usr/share/twitter-bootstrap/files/css/datepicker3.css > $(debRlib)/$(cranName)/www/shared/datepicker/css/bootstrap-datepicker3.min.css

## r-cran-shiny 1.1.0+dfsg

=== debian/changelog ===
r-cran-shiny (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * New Build-Depends: r-cran-later, r-cran-promises
  * Replace embedded copy of normalize.css by libjs-normalize.css
    Closes: #898790
  * Remove only CSS files from fonts-awesome since some fonts were dropped
    form the package

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 11:16:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: r-cran-shiny
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-r,
+               r-base-dev,
+               r-cran-crayon,
+               r-cran-rlang,
                libjs-bootstrap,
                libjs-twitter-bootstrap,
                libjs-json,
@@ -15,7 +18,6 @@
                libjs-highlight.js,
                libjs-twitter-bootstrap-datepicker,
                fonts-font-awesome,
-               r-base-dev,
                r-cran-rcpp,
                r-cran-httpuv (>= 1.3.5),
                r-cran-mime,
@@ -25,18 +27,19 @@
                r-cran-r6,
                r-cran-htmltools,
                r-cran-sourcetools,
+               r-cran-later,
+               r-cran-promises,
                closure-compiler,
                yui-compressor
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-shiny.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-shiny.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shiny
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shiny.git
 Homepage: https://cran.r-project.org/package=shiny
 
 Package: r-cran-shiny
 Architecture: all
-Depends: ${misc:Depends},
-         ${R:Depends},
-         ${js:Depends},
+Depends: ${R:Depends},
+         ${misc:Depends},
          libjs-bootstrap,
          libjs-twitter-bootstrap,
          libjs-json,
@@ -48,6 +51,7 @@
          libjs-twitter-bootstrap-datepicker,
          libjs-jquery-selectize.js,
          libjs-d3,
+         libjs-normalize.css,
          fonts-font-awesome
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 
 override_dh_install:
 	dh_install
-	sed -i -e 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
+	sed -i  -e 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
+		-e 's|\([[:space:]]src="\)http.*://d3js\.org/d3\.v3\.min\.js"|\1file:///usr/share/javascript/d3/d3.min.js"|' \
 		$(debRlib)/$(cranName)/www/reactive-graph.html
 	find debian -name "LICENSE*" -delete
 	rm -rf $(debRlib)/$(cranName)/www/shared/showdown/license.txt
@@ -33,9 +34,6 @@
 	# Thus a real copy of font-awesome.min.css from fonts-font-awesome package is created.
 	mkdir -p $(debRlib)/$(cranName)/www/shared/font-awesome/css/
 	cp -a /usr/share/fonts-font-awesome/css/font-awesome.min.css $(debRlib)/$(cranName)/www/shared/font-awesome/css/
-	# same issue for fontawesome-webfont.woff
-	mkdir -p $(debRlib)/$(cranName)/www/shared/font-awesome/fonts/
-	cp -a /usr/share/fonts/woff/font-awesome/fontawesome-webfont.woff $(debRlib)/$(cranName)/www/shared/font-awesome/fonts/
 	# datepicker is only non-minimized.  Do the minimisation here
 	mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/js
 	closure-compiler  --charset 'utf-8' --js /usr/share/twitter-bootstrap/files/js/bootstrap-datepicker.js --js_output_file $(debRlib)/$(cranName)/www/shared/datepicker/js/bootstrap-datepicker.min.js

## r-cran-shiny 1.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: shiny
 Type: Package
 Title: Web Application Framework for R
-Version: 1.0.5
+Version: 1.2.0
 Authors@R: c(
     person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com"),
     person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
@@ -60,34 +60,36 @@
     beautiful, responsive, and powerful applications with minimal effort.
 License: GPL-3 | file LICENSE
 Depends: R (>= 3.0.2), methods
-Imports: utils, httpuv (>= 1.3.5), mime (>= 0.3), jsonlite (>= 0.9.16),
-        xtable, digest, htmltools (>= 0.3.5), R6 (>= 2.0), sourcetools,
-        tools
+Imports: utils, grDevices, httpuv (>= 1.4.4), mime (>= 0.3), jsonlite
+        (>= 0.9.16), xtable, digest, htmltools (>= 0.3.5), R6 (>= 2.0),
+        sourcetools, later (>= 0.7.2), promises (>= 1.0.1), tools,
+        crayon, rlang
 Suggests: datasets, Cairo (>= 1.5-5), testthat, knitr (>= 1.6),
         markdown, rmarkdown, ggplot2, magrittr
 URL: http://shiny.rstudio.com
 BugReports: https://github.com/rstudio/shiny/issues
 Collate: 'app.R' 'bookmark-state-local.R' 'stack.R' 'bookmark-state.R'
-        'bootstrap-layout.R' 'conditions.R' 'map.R' 'globals.R'
-        'utils.R' 'bootstrap.R' 'cache.R' 'diagnose.R' 'fileupload.R'
-        'graph.R' 'reactives.R' 'reactive-domains.R' 'history.R'
-        'hooks.R' 'html-deps.R' 'htmltools.R' 'image-interact-opts.R'
-        'image-interact.R' 'imageutils.R' 'input-action.R'
-        'input-checkbox.R' 'input-checkboxgroup.R' 'input-date.R'
-        'input-daterange.R' 'input-file.R' 'input-numeric.R'
-        'input-password.R' 'input-radiobuttons.R' 'input-select.R'
-        'input-slider.R' 'input-submit.R' 'input-text.R'
-        'input-textarea.R' 'input-utils.R' 'insert-tab.R' 'insert-ui.R'
-        'jqueryui.R' 'middleware-shiny.R' 'middleware.R' 'modal.R'
-        'modules.R' 'notifications.R' 'priorityqueue.R' 'progress.R'
-        'react.R' 'render-plot.R' 'render-table.R' 'run-url.R'
-        'serializers.R' 'server-input-handlers.R' 'server.R'
-        'shiny-options.R' 'shiny.R' 'shinyui.R' 'shinywrappers.R'
-        'showcase.R' 'snapshot.R' 'tar.R' 'test-export.R' 'timer.R'
-        'update-input.R'
-RoxygenNote: 6.0.1
+        'bootstrap-layout.R' 'globals.R' 'conditions.R' 'map.R'
+        'utils.R' 'bootstrap.R' 'cache-context.R' 'cache-disk.R'
+        'cache-memory.R' 'cache-utils.R' 'diagnose.R' 'fileupload.R'
+        'font-awesome.R' 'graph.R' 'reactives.R' 'reactive-domains.R'
+        'history.R' 'hooks.R' 'html-deps.R' 'htmltools.R'
+        'image-interact-opts.R' 'image-interact.R' 'imageutils.R'
+        'input-action.R' 'input-checkbox.R' 'input-checkboxgroup.R'
+        'input-date.R' 'input-daterange.R' 'input-file.R'
+        'input-numeric.R' 'input-password.R' 'input-radiobuttons.R'
+        'input-select.R' 'input-slider.R' 'input-submit.R'
+        'input-text.R' 'input-textarea.R' 'input-utils.R'
+        'insert-tab.R' 'insert-ui.R' 'jqueryui.R' 'middleware-shiny.R'
+        'middleware.R' 'modal.R' 'modules.R' 'notifications.R'
+        'priorityqueue.R' 'progress.R' 'react.R' 'render-cached-plot.R'
+        'render-plot.R' 'render-table.R' 'run-url.R' 'serializers.R'
+        'server-input-handlers.R' 'server.R' 'shiny-options.R'
+        'shiny.R' 'shinyui.R' 'shinywrappers.R' 'showcase.R'
+        'snapshot.R' 'tar.R' 'test-export.R' 'timer.R' 'update-input.R'
+RoxygenNote: 6.1.0
 NeedsCompilation: no
-Packaged: 2017-08-23 18:15:30 UTC; winston
+Packaged: 2018-11-02 16:06:02 UTC; jcheng
 Author: Winston Chang [aut, cre],
   Joe Cheng [aut],
   JJ Allaire [aut],
@@ -120,4 +122,4 @@
   R Core Team [ctb, cph] (tar implementation from R)
 Maintainer: Winston Chang <winston@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-08-23 20:20:10 UTC
+Date/Publication: 2018-11-02 19:20:03 UTC

=== debian/changelog ===
r-cran-shiny (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Nov 2018 10:07:16 +0100

r-cran-shiny (1.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update d/links to reflect change in libjs-twitter-bootstrap-datepicker
      Closes: #913534
  * Add Testsuite: autopkgtest-pkg-r

 -- Dylan Aïssi <daissi@debian.org>  Mon, 19 Nov 2018 07:51:43 +0100

r-cran-shiny (1.1.0+dfsg-2) unstable; urgency=medium

  * Do not (Build-)Depend: libjs-twitter-bootstrap any more
    Closes: #908429
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 17 Sep 2018 14:02:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-r,
@@ -9,7 +10,6 @@
                r-cran-crayon,
                r-cran-rlang,
                libjs-bootstrap,
-               libjs-twitter-bootstrap,
                libjs-json,
                libjs-jquery-datatables,
                libjs-es5-shim,
@@ -31,7 +31,7 @@
                r-cran-promises,
                closure-compiler,
                yui-compressor
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shiny
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shiny.git
 Homepage: https://cran.r-project.org/package=shiny
@@ -41,7 +41,6 @@
 Depends: ${R:Depends},
          ${misc:Depends},
          libjs-bootstrap,
-         libjs-twitter-bootstrap,
          libjs-json,
          libjs-jquery-datatables,
          libjs-es5-shim,

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,8 @@
 	cp -a /usr/share/fonts-font-awesome/css/font-awesome.min.css $(debRlib)/$(cranName)/www/shared/font-awesome/css/
 	# datepicker is only non-minimized.  Do the minimisation here
 	mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/js
-	closure-compiler  --charset 'utf-8' --js /usr/share/twitter-bootstrap/files/js/bootstrap-datepicker.js --js_output_file $(debRlib)/$(cranName)/www/shared/datepicker/js/bootstrap-datepicker.min.js
+	closure-compiler  --charset 'utf-8' --js /usr/share/javascript/bootstrap/files/js/bootstrap-datepicker.js --js_output_file $(debRlib)/$(cranName)/www/shared/datepicker/js/bootstrap-datepicker.min.js
 	mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/css
-	yui-compressor /usr/share/twitter-bootstrap/files/css/datepicker3.css > $(debRlib)/$(cranName)/www/shared/datepicker/css/bootstrap-datepicker3.min.css
+	yui-compressor /usr/share/javascript/bootstrap/files/css/datepicker3.css > $(debRlib)/$(cranName)/www/shared/datepicker/css/bootstrap-datepicker3.min.css
+	mkdir -p $(debRlib)/$(cranName)/www/shared/bootstrap/shim
+	yui-compressor debian/missing-sources/html5shiv/html5shiv.js > $(debRlib)/$(cranName)/www/shared/bootstrap/shim/html5shiv.min.js

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
   https://cran.r-project.org/src/contrib/shiny_([-0-9\.]*).tar.gz

## r-cran-shiny 1.3.2+dfsg

=== debian/changelog ===
r-cran-shiny (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * No need for privacy fix in reactive-graph.html any more
  * Use html5shiv.min.js from node-html5shiv package

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 17:53:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-crayon,
@@ -18,6 +18,7 @@
                libjs-highlight.js,
                libjs-twitter-bootstrap-datepicker,
                fonts-font-awesome,
+               node-html5shiv,
                r-cran-rcpp,
                r-cran-httpuv (>= 1.3.5),
                r-cran-mime,
@@ -31,7 +32,7 @@
                r-cran-promises,
                closure-compiler,
                yui-compressor
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shiny
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shiny.git
 Homepage: https://cran.r-project.org/package=shiny
@@ -51,7 +52,8 @@
          libjs-jquery-selectize.js,
          libjs-d3,
          libjs-normalize.css,
-         fonts-font-awesome
+         fonts-font-awesome,
+         node-html5shiv
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R web application framework

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 
 override_dh_install:
 	dh_install
-	sed -i  -e 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
-		-e 's|\([[:space:]]src="\)http.*://d3js\.org/d3\.v3\.min\.js"|\1file:///usr/share/javascript/d3/d3.min.js"|' \
-		$(debRlib)/$(cranName)/www/reactive-graph.html
 	find debian -name "LICENSE*" -delete
 	rm -rf $(debRlib)/$(cranName)/www/shared/showdown/license.txt
 	mkdir -p $(debRlib)/$(cranName)/www/shared/bootstrap/shim

## r-cran-shiny 1.4.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: shiny
 Type: Package
 Title: Web Application Framework for R
-Version: 1.2.0
+Version: 1.4.0
 Authors@R: c(
     person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com"),
     person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
@@ -60,36 +60,39 @@
     beautiful, responsive, and powerful applications with minimal effort.
 License: GPL-3 | file LICENSE
 Depends: R (>= 3.0.2), methods
-Imports: utils, grDevices, httpuv (>= 1.4.4), mime (>= 0.3), jsonlite
-        (>= 0.9.16), xtable, digest, htmltools (>= 0.3.5), R6 (>= 2.0),
-        sourcetools, later (>= 0.7.2), promises (>= 1.0.1), tools,
-        crayon, rlang
-Suggests: datasets, Cairo (>= 1.5-5), testthat, knitr (>= 1.6),
-        markdown, rmarkdown, ggplot2, magrittr
+Imports: utils, grDevices, httpuv (>= 1.5.2), mime (>= 0.3), jsonlite
+        (>= 0.9.16), xtable, digest, htmltools (>= 0.4.0), R6 (>= 2.0),
+        sourcetools, later (>= 1.0.0), promises (>= 1.1.0), tools,
+        crayon, rlang (>= 0.4.0), fastmap (>= 1.0.0)
+Suggests: datasets, Cairo (>= 1.5-5), testthat (>= 2.1.1), knitr (>=
+        1.6), markdown, rmarkdown, ggplot2, reactlog (>= 1.0.0),
+        magrittr, yaml
 URL: http://shiny.rstudio.com
 BugReports: https://github.com/rstudio/shiny/issues
 Collate: 'app.R' 'bookmark-state-local.R' 'stack.R' 'bookmark-state.R'
-        'bootstrap-layout.R' 'globals.R' 'conditions.R' 'map.R'
-        'utils.R' 'bootstrap.R' 'cache-context.R' 'cache-disk.R'
-        'cache-memory.R' 'cache-utils.R' 'diagnose.R' 'fileupload.R'
-        'font-awesome.R' 'graph.R' 'reactives.R' 'reactive-domains.R'
-        'history.R' 'hooks.R' 'html-deps.R' 'htmltools.R'
-        'image-interact-opts.R' 'image-interact.R' 'imageutils.R'
-        'input-action.R' 'input-checkbox.R' 'input-checkboxgroup.R'
-        'input-date.R' 'input-daterange.R' 'input-file.R'
-        'input-numeric.R' 'input-password.R' 'input-radiobuttons.R'
-        'input-select.R' 'input-slider.R' 'input-submit.R'
-        'input-text.R' 'input-textarea.R' 'input-utils.R'
-        'insert-tab.R' 'insert-ui.R' 'jqueryui.R' 'middleware-shiny.R'
-        'middleware.R' 'modal.R' 'modules.R' 'notifications.R'
-        'priorityqueue.R' 'progress.R' 'react.R' 'render-cached-plot.R'
-        'render-plot.R' 'render-table.R' 'run-url.R' 'serializers.R'
+        'bootstrap-deprecated.R' 'bootstrap-layout.R' 'globals.R'
+        'conditions.R' 'map.R' 'utils.R' 'bootstrap.R'
+        'cache-context.R' 'cache-disk.R' 'cache-memory.R'
+        'cache-utils.R' 'diagnose.R' 'fileupload.R' 'font-awesome.R'
+        'graph.R' 'reactives.R' 'reactive-domains.R' 'history.R'
+        'hooks.R' 'html-deps.R' 'htmltools.R' 'image-interact-opts.R'
+        'image-interact.R' 'imageutils.R' 'input-action.R'
+        'input-checkbox.R' 'input-checkboxgroup.R' 'input-date.R'
+        'input-daterange.R' 'input-file.R' 'input-numeric.R'
+        'input-password.R' 'input-radiobuttons.R' 'input-select.R'
+        'input-slider.R' 'input-submit.R' 'input-text.R'
+        'input-textarea.R' 'input-utils.R' 'insert-tab.R' 'insert-ui.R'
+        'jqueryui.R' 'middleware-shiny.R' 'middleware.R' 'modal.R'
+        'modules.R' 'notifications.R' 'priorityqueue.R' 'progress.R'
+        'react.R' 'render-cached-plot.R' 'render-plot.R'
+        'render-table.R' 'run-url.R' 'serializers.R'
         'server-input-handlers.R' 'server.R' 'shiny-options.R'
         'shiny.R' 'shinyui.R' 'shinywrappers.R' 'showcase.R'
         'snapshot.R' 'tar.R' 'test-export.R' 'timer.R' 'update-input.R'
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-11-02 16:06:02 UTC; jcheng
+Packaged: 2019-10-08 16:21:27 UTC; winston
 Author: Winston Chang [aut, cre],
   Joe Cheng [aut],
   JJ Allaire [aut],
@@ -122,4 +125,4 @@
   R Core Team [ctb, cph] (tar implementation from R)
 Maintainer: Winston Chang <winston@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-11-02 19:20:03 UTC
+Date/Publication: 2019-10-10 12:50:02 UTC

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-crayon,
-               r-cran-rlang,
+               r-cran-rlang (>= 0.4.0),
+               r-cran-fastmap,
                libjs-bootstrap,
                libjs-json,
                libjs-jquery-datatables,
@@ -32,7 +33,7 @@
                r-cran-promises,
                closure-compiler,
                yui-compressor
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shiny
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shiny.git
 Homepage: https://cran.r-project.org/package=shiny
@@ -48,7 +49,7 @@
          libjs-jquery,
          libjs-jquery-ui,
          libjs-highlight.js,
-         libjs-twitter-bootstrap-datepicker,
+         libjs-twitter-bootstrap-datepicker (>= 1.3.1+dfsg1-4),
          libjs-jquery-selectize.js,
          libjs-d3,
          libjs-normalize.css,

## r-cran-shiny 1.4.0+dfsg

=== debian/changelog ===
r-cran-shiny (1.4.0+dfsg-1) unstable; urgency=medium

  * Versioned Depends libjs-twitter-bootstrap-datepicker (>= 1.3.1+dfsg1-4)
    since the location of the files had changed over time
  * Simplify d/rules
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Archive, Bug-Database.
  * Fix link to html5shiv.min.js
    Closes: #942472
  * Build-Depends: r-cran-fastmap

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jan 2020 08:43:02 +0100

## r-cran-shiny 1.4.0.2+dfsg

=== debian/changelog ===
r-cran-shiny (1.4.0.2+dfsg-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 21:36:41 +0200

r-cran-shiny (1.4.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 14 Mar 2020 15:03:16 +0100

=== debian/control ===
--- 
+++ 
@@ -33,10 +33,11 @@
                r-cran-promises,
                closure-compiler,
                yui-compressor
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shiny
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shiny.git
 Homepage: https://cran.r-project.org/package=shiny
+Rules-Requires-Root: no
 
 Package: r-cran-shiny
 Architecture: all
